- Threads
- Get Thread
Threads
Get Thread
GET
/threads/{thread_id}
curl --request GET \
--url https://app.backboard.io/api/threads/{thread_id} \
--header 'X-API-Key: <api-key>' \
--header 'authorization: <authorization>' \
--header 'x_session_token: <x_session_token>'
curl --request GET \
--url https://app.backboard.io/api/threads/{thread_id} \
--header 'X-API-Key: <api-key>' \
--header 'authorization: <authorization>' \
--header 'x_session_token: <x_session_token>'Authorizations
X-API-Key
required
string
API Key authentication
Query Parameters
thread_id
required
string
authorization
x_session_token
Response
application/json
200
422
Successful Response
thread_id
required
string
Thread Id
created_at
required
string
Created At
metadata_
object | null
Metadata
title
string | null
Title
messages
array
curl --request GET \
--url https://app.backboard.io/api/threads/{thread_id} \
--header 'X-API-Key: <api-key>' \
--header 'authorization: <authorization>' \
--header 'x_session_token: <x_session_token>'
curl --request GET \
--url https://app.backboard.io/api/threads/{thread_id} \
--header 'X-API-Key: <api-key>' \
--header 'authorization: <authorization>' \
--header 'x_session_token: <x_session_token>'